program checkoutput
use dal
use errorhandling

implicit none

type(DataSetT)  :: inDataSet
type(TableT)    :: inTable
type(ColumnT)   :: smbCol
real(kind=single), pointer :: smbArray(:)
integer :: nRows, i
logical ok

inDataSet = dataSet("out.fts", read)
inTable = table(inDataSet, "RATE")
nRows = numberOfRows(inTable)
smbCol = column(inTable,"RATE",read)
smbArray => real32data(smbCol)

ok = .true.
do i = 0, nRows-1
   if (smbArray(i) < 0) call warning("negCounts","Negative counts in rates file")
enddo

call release(smbCol)
call release(inTable)
call release(inDataSet)
end program

